Documents

List Documents

Get a list of transmitted documents with pagination

GET
/api/v1/documents
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Query Parameters

page?number

The page number to retrieve

Default1
Range1 <= value
limit?number

The number of items per page

Default10
Range1 <= value <= 100
companyId?|array<>

Filter documents by company ID

direction?string

Filter documents by direction (incoming or outgoing)

Value in"incoming" | "outgoing"
search?string

Search term to filter documents

type?string

Filter documents by type

Value in"invoice" | "creditNote" | "selfBillingInvoice" | "selfBillingCreditNote" | "messageLevelResponse" | "unknown"
from?string

Filter documents created from this timestamp (inclusive). ISO 8601 format.

to?string

Filter documents created until this timestamp (exclusive). ISO 8601 format.

isUnread?string

Filter documents by read status: true for unread documents (readAt is null), false for read documents.

Value in"true" | "false"
envelopeId?string

Filter documents by envelope ID (Standard Business Document Header Instance Identifier)

excludeAttachments?boolean

When true, excludes attachments from the parsed object to reduce payload size

Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/documents"
{
  "success": true,
  "documents": [
    {
      "id": "string",
      "teamId": "string",
      "companyId": "string",
      "direction": "incoming",
      "senderId": "string",
      "receiverId": "string",
      "docTypeId": "string",
      "processId": "string",
      "countryC1": "string",
      "type": "invoice",
      "readAt": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "parsed": {
        "invoiceNumber": "INV-2024-001",
        "issueDate": "2024-03-20",
        "dueDate": "2024-04-20",
        "note": "Thank you for your business",
        "buyerReference": "PO-2024-001",
        "purchaseOrderReference": "PO-2024-001",
        "salesOrderReference": "SO-2024-001",
        "despatchReference": "DE-2024-001",
        "seller": {
          "vatNumber": "BE1234567894",
          "enterpriseNumberScheme": "0208",
          "enterpriseNumber": "1234567894",
          "name": "Example Company",
          "street": "Example Street 1",
          "street2": "Suite 100",
          "city": "Brussels",
          "postalZone": "1000",
          "country": "BE",
          "email": "email@example.com",
          "phone": "887 654 321"
        },
        "buyer": {
          "vatNumber": "BE1234567894",
          "enterpriseNumberScheme": "0208",
          "enterpriseNumber": "1234567894",
          "name": "Example Company",
          "street": "Example Street 1",
          "street2": "Suite 100",
          "city": "Brussels",
          "postalZone": "1000",
          "country": "BE",
          "email": "email@example.com",
          "phone": "887 654 321"
        },
        "delivery": {
          "date": "2025-03-20",
          "locationIdentifier": {
            "scheme": "0088",
            "identifier": "123456789"
          },
          "location": {
            "street": "Example Street 1",
            "street2": "Suite 100",
            "city": "Brussels",
            "postalZone": "1000",
            "country": "BE"
          },
          "recipientName": "Company Ltd."
        },
        "paymentMeans": [
          {
            "name": "Credit Transfer",
            "paymentMethod": "credit_transfer",
            "reference": "INV-2026-001",
            "iban": "BE1234567890",
            "financialInstitutionBranch": "string"
          }
        ],
        "paymentTerms": {
          "note": "Net 30"
        },
        "lines": [
          {
            "id": "1",
            "name": "Consulting Services",
            "description": "Professional consulting services",
            "note": "string",
            "buyersId": "CS-001",
            "sellersId": "CS-001",
            "standardId": {
              "scheme": "0160",
              "identifier": "10986700"
            },
            "documentReference": "INV-2024-001",
            "orderLineReference": "string",
            "commodityClassifications": [
              {
                "scheme": "SN",
                "schemeVersion": "string",
                "value": "123456"
              }
            ],
            "additionalItemProperties": [
              {
                "name": "Color",
                "value": "Red"
              }
            ],
            "originCountry": "BE",
            "quantity": "21.00",
            "unitCode": "HUR",
            "netPriceAmount": "21.00",
            "discounts": [
              {
                "reasonCode": "95",
                "reason": "Discount",
                "amount": "21.00"
              }
            ],
            "surcharges": [
              {
                "reasonCode": "FC",
                "reason": "Freight services",
                "amount": "21.00"
              }
            ],
            "netAmount": "21.00",
            "vat": {
              "category": "S",
              "percentage": "21.00"
            }
          }
        ],
        "discounts": [
          {
            "reasonCode": "95",
            "reason": "Discount",
            "amount": "21.00",
            "vat": {
              "category": "S",
              "percentage": "21.00"
            }
          }
        ],
        "surcharges": [
          {
            "reasonCode": "FC",
            "reason": "Freight services",
            "amount": "21.00",
            "vat": {
              "category": "S",
              "percentage": "21.00"
            }
          }
        ],
        "totals": {
          "linesAmount": "21.00",
          "discountAmount": "21.00",
          "surchargeAmount": "21.00",
          "taxExclusiveAmount": "21.00",
          "taxInclusiveAmount": "21.00",
          "payableAmount": "21.00",
          "paidAmount": "21.00"
        },
        "vat": {
          "totalVatAmount": "21.00",
          "subtotals": [
            {
              "taxableAmount": "21.00",
              "vatAmount": "21.00",
              "category": "S",
              "percentage": "21.00",
              "exemptionReasonCode": "string",
              "exemptionReason": "string"
            }
          ]
        },
        "attachments": [
          {
            "id": "ATT-001",
            "mimeCode": "application/pdf",
            "filename": "contract.pdf",
            "description": "Signed contract",
            "embeddedDocument": "string",
            "url": "https://example.com/contract.pdf"
          }
        ],
        "currency": "EUR"
      },
      "validation": {
        "result": "valid",
        "errors": [
          {
            "ruleCode": "string",
            "errorMessage": "string",
            "errorLevel": "string",
            "fieldName": "string"
          }
        ]
      },
      "sentOverPeppol": true,
      "sentOverEmail": true,
      "emailRecipients": [
        "string"
      ],
      "labels": [
        {
          "id": "string",
          "externalId": "string",
          "name": "string",
          "colorHex": "string"
        }
      ],
      "peppolMessageId": "string",
      "peppolConversationId": "string",
      "receivedPeppolSignalMessage": "string",
      "envelopeId": "string"
    }
  ],
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "totalPages": 0
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}